RagTimeSpreadsheetInternal::ComplexBlock::Zone Struct Reference

a small zone of a ComplexBlock More...

## Public Member Functions

| Zone ()
| constructor

## Public Attributes

long | m_pos
| the zone position
int | m_data [3]
| three unknown int

## Friends

std::ostream & | operator<< (std::ostream &o, Zone const &z)
| operator<<

## Detailed Description

a small zone of a ComplexBlock

## Constructor & Destructor Documentation

## Zone()

RagTimeSpreadsheetInternal::ComplexBlock::Zone::Zone | ( |  | ) |

inline

constructor

Referenced by operator<<.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Zone const & | z )

friend

operator<<

## Member Data Documentation

## m_data

int RagTimeSpreadsheetInternal::ComplexBlock::Zone::m_data[3]

three unknown int

Referenced by operator<<, RagTimeSpreadsheet::readBlockHeader(), and Zone().

## m_pos

long RagTimeSpreadsheetInternal::ComplexBlock::Zone::m_pos

the zone position

Referenced by operator<<, RagTimeSpreadsheet::readBlockHeader(), and Zone().

The documentation for this struct was generated from the following file:

- RagTimeSpreadsheet.cxx